Rotate text back to 0

Discussion in 'AutoCAD' started by Joe Smetanko, Nov 1, 2004.

  1. Joe Smetanko

    Joe Smetanko Guest

    I'm looking for a quick lisp to rotate selected text at various angles back
    to 0 degrees.


    --
    Windows 2000 SP4
    LDD 2004 SP2

    Joe Smetanko
    R.D. Zande & Associates, Inc.
    1500 Lake Shore Drive
    Columbus, Ohio 43204
     
    Joe Smetanko, Nov 1, 2004
    #1
  2. Joe Smetanko

    Paul Turvill Guest

    PROPERTIES window ... ?
    ___
     
    Paul Turvill, Nov 1, 2004
    #2
  3. Joe Smetanko

    Dann Guest

    1.Select text:
    2. type CH <enter>
    3. Put a value of 0.0 in rotation.
     
    Dann, Nov 1, 2004
    #3
  4. Joe Smetanko

    Joe Smetanko Guest

    Thanks

    --
    Windows 2000 SP4
    LDD 2004 SP2

    Joe Smetanko
    R.D. Zande & Associates, Inc.
    1500 Lake Shore Drive
    Columbus, Ohio 43204
     
    Joe Smetanko, Nov 1, 2004
    #4
  5. Joe Smetanko

    C Witt Guest

    (defun c:r0 (/ ctext el tang1)
    (setq ctext (car (entsel "\nSelect text to rotate...")))
    (setq EL (entget ctext))
    (while (AND (/= (cdr (assoc 0 el)) "MTEXT")(/= (cdr (assoc 0 el)) "TEXT"))
    (setq ctext (car (entsel "\nSelect text to rotate...")))
    (while (= ctext nil)
    (setq ctext (car (entsel "\nSelect text to rotate...")))
    )
    (setq EL (entget ctext))
    )
    (SETQ tang1 0)
    (setq el (subst (cons 50 tang1) (assoc 50 EL) EL ))
    (if (= (cdr (assoc 90 EL)) 2)
    (setq el (vl-remove (assoc 90 EL) EL))
    )
    (entmod el)
    (princ)
    )
     
    C Witt, Nov 1, 2004
    #5
  6. Joe Smetanko

    Joe Smetanko Guest

    Exactly what I needed - thanks

    --
    Windows 2000 SP4
    LDD 2004 SP2

    Joe Smetanko
    R.D. Zande & Associates, Inc.
    1500 Lake Shore Drive
    Columbus, Ohio 43204
     
    Joe Smetanko, Nov 1, 2004
    #6
  7. Joe Smetanko

    Adesu Guest

    Or you can try my code

    ; mrt is stand for making rotation of text
    ; Design by Ade Suharna <>
    ; 13 October 2004
    ; program no. 114/10/2004
    ; edit by
    (defun dtr (a)
    (* pi (/ a 180.0)))
    (defun rtd (a)
    (* 180.0 (/ a pi)))
    (defun c:mrt (/ ent info50 opt ed)
    (while
    (setq ent
    (entget
    (car
    (entsel "\nCLICK TEXT FOR ROTATION:")))
    info50
    (strcat
    (rtos
    (rtd
    (cdr
    (assoc 50 ent))))(chr 432))
    opt
    (dtr
    (getreal
    (strcat "\nENTER NEW VALUE FOR rotation<" info50 ">: ")))
    ed
    (subst
    (cons 50 opt)(assoc 50 ent) ent))
    (entmod ed)
    )
    (princ)
    )
     
    Adesu, Nov 2, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.